// _InterfaceRequeteIndividu_Interface.java
// Created on 18 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.requetes.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _InterfaceRequeteIndividu_Interface extends COFrame {

    /** Creates new form _InterfaceRequeteIndividu_Interface */
    public _InterfaceRequeteIndividu_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        cOButton1 = new org.cocktail.component.COButton();
        jPanel1 = new javax.swing.JPanel();
        cOTextField7 = new org.cocktail.component.COTextField();
        cOButton11 = new org.cocktail.component.COButton();
        cOTextField4 = new org.cocktail.component.COTextField();
        cOButton8 = new org.cocktail.component.COButton();
        cOTextField5 = new org.cocktail.component.COTextField();
        cOTextField2 = new org.cocktail.component.COTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        cOButton9 = new org.cocktail.component.COButton();
        jLabel4 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        cOTextField14 = new org.cocktail.component.COTextField();
        jLabel10 = new javax.swing.JLabel();
        cOTextField3 = new org.cocktail.component.COTextField();
        cOComboBox2 = new org.cocktail.component.COComboBox();
        cOTextField1 = new org.cocktail.component.COTextField();
        jLabel5 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        cOComboBox3 = new org.cocktail.component.COComboBox();
        cOButton10 = new org.cocktail.component.COButton();
        cOTextField16 = new org.cocktail.component.COTextField();
        jLabel1 = new javax.swing.JLabel();
        cOTextField6 = new org.cocktail.component.COTextField();
        cOComboBox1 = new org.cocktail.component.COComboBox();
        jPanel2 = new javax.swing.JPanel();
        jLabel11 = new javax.swing.JLabel();
        cOTextField10 = new org.cocktail.component.COTextField();
        cOButton16 = new org.cocktail.component.COButton();
        cOTextField11 = new org.cocktail.component.COTextField();
        cOTextField15 = new org.cocktail.component.COTextField();
        jLabel14 = new javax.swing.JLabel();
        cOButton17 = new org.cocktail.component.COButton();
        jLabel12 = new javax.swing.JLabel();
        cOTextField8 = new org.cocktail.component.COTextField();
        cOTextField9 = new org.cocktail.component.COTextField();
        cOButton12 = new org.cocktail.component.COButton();
        cOTextField13 = new org.cocktail.component.COTextField();
        cOButton18 = new org.cocktail.component.COButton();
        cOButton19 = new org.cocktail.component.COButton();
        cOButton13 = new org.cocktail.component.COButton();
        listeAffichage = new org.cocktail.component.COTable();
        cOCheckbox1 = new org.cocktail.component.COCheckbox();
        cOTextField12 = new org.cocktail.component.COTextField();
        jLabel9 = new javax.swing.JLabel();
        cOTextField17 = new org.cocktail.component.COTextField();
        cOButton15 = new org.cocktail.component.COButton();
        cOButton14 = new org.cocktail.component.COButton();
        cOButton20 = new org.cocktail.component.COButton();

        displayGroup.setEntityName("Diplomes");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        setControllerClassName("org.cocktail.mangue.client.requetes.InterfaceRequeteIndividu");
        setSize(new java.awt.Dimension(780, 199));

        cOButton1.setActionName("deselectionner");
        cOButton1.setEnabledMethod("peutDeselectionner");
        cOButton1.setText("Déselectionner");

        cOTextField7.setEnabledMethod("nonEditable");
        cOTextField7.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField7.setSupportsBackgroundColor(true);
        cOTextField7.setValueName("situationFamiliale.libelleLong");

        cOButton11.setActionName("afficherSituationFamiliale");
        cOButton11.setBorderPainted(false);
        cOButton11.setIconName("loupe16.gif");

        cOTextField4.setSupportsBackgroundColor(true);
        cOTextField4.setValueName("lieuNaissance");

        cOButton8.setActionName("afficherSituationMilitaire");
        cOButton8.setBorderPainted(false);
        cOButton8.setIconName("loupe16.gif");

        cOTextField5.setNumberFieldFormat("0");
        cOTextField5.setSupportsBackgroundColor(true);
        cOTextField5.setValueName("nbEnfants");

        cOTextField2.setSupportsBackgroundColor(true);
        cOTextField2.setValueName("prenom");

        jLabel3.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel3.setText("Nom ?");

        jLabel13.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel13.setText("Nb Enfants");

        cOButton9.setActionName("supprimerSituationMilitaire");
        cOButton9.setBorderPainted(false);
        cOButton9.setEnabledMethod("peutSupprimerSituationMilitaire");
        cOButton9.setIconName("supprimer16.gif");

        jLabel4.setFont(new java.awt.Font("Helvetica", 0, 10));
        jLabel4.setText("Situation familiale");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Civilité ?");

        cOTextField14.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField14.setSupportsBackgroundColor(true);
        cOTextField14.setValueName("cSituationMilitaire");

        jLabel10.setFont(new java.awt.Font("Helvetica", 0, 10));
        jLabel10.setText("Situation militaire");

        cOTextField3.setSupportsBackgroundColor(true);
        cOTextField3.setValueName("dateNaissance");

        cOComboBox2.setTitleForSelection("operateurComparaisonEnfants");
        cOComboBox2.setTitles("<=,>=,=");

        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("nom");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel5.setText("Prénom ?");

        jLabel7.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel7.setText("Date Naissance ?");

        cOComboBox3.setTitleForSelection("operateurComparaisonDateNaissance");
        cOComboBox3.setTitles("<=,>=,=");

        cOButton10.setActionName("supprimerSituationFamiliale");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("peutSupprimerSituationFamiliale");
        cOButton10.setIconName("supprimer16.gif");

        cOTextField16.setEnabledMethod("nonEditable");
        cOTextField16.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField16.setSupportsBackgroundColor(true);
        cOTextField16.setValueName("situationMilitaire.libelleLong");

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("à");

        cOTextField6.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField6.setSupportsBackgroundColor(true);
        cOTextField6.setValueName("cSituationFamiliale");

        cOComboBox1.setTitleForSelection("civilite");
        cOComboBox1.setTitles("*,M.,MME,MLLE");

        jLabel11.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel11.setText("Nationalité ?");

        cOTextField10.setEnabledMethod("nonEditable");
        cOTextField10.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField10.setSupportsBackgroundColor(true);
        cOTextField10.setValueName("paysNationalite.libelleLong");

        cOButton16.setActionName("supprimerDepartement");
        cOButton16.setBorderPainted(false);
        cOButton16.setEnabledMethod("peutSupprimerDepartement");
        cOButton16.setIconName("supprimer16.gif");

        cOTextField11.setEnabledMethod("nonEditable");
        cOTextField11.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField11.setSupportsBackgroundColor(true);
        cOTextField11.setValueName("pays.libelleLong");

        cOTextField15.setEnabledMethod("nonEditable");
        cOTextField15.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField15.setSupportsBackgroundColor(true);
        cOTextField15.setValueName("departement.libelleCourt");

        jLabel14.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel14.setText("Pays ?");

        cOButton17.setActionName("afficherDepartement");
        cOButton17.setBorderPainted(false);
        cOButton17.setEnabledMethod("peutModifierDepartement");
        cOButton17.setIconName("loupe16.gif");

        jLabel12.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel12.setText("Département ?");

        cOTextField8.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField8.setSupportsBackgroundColor(true);
        cOTextField8.setValueName("cPaysNationalite");

        cOTextField9.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField9.setSupportsBackgroundColor(true);
        cOTextField9.setValueName("cPaysNaissance");

        cOButton12.setActionName("supprimerPaysNaissance");
        cOButton12.setBorderPainted(false);
        cOButton12.setEnabledMethod("peutSupprimerPaysNaissance");
        cOButton12.setIconName("supprimer16.gif");

        cOTextField13.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField13.setSupportsBackgroundColor(true);
        cOTextField13.setValueName("cDepartement");

        cOButton18.setActionName("supprimerPaysNationalite");
        cOButton18.setBorderPainted(false);
        cOButton18.setEnabledMethod("peutSupprimerPaysNationalite");
        cOButton18.setIconName("supprimer16.gif");

        cOButton19.setActionName("afficherPaysNationalite");
        cOButton19.setBorderPainted(false);
        cOButton19.setIconName("loupe16.gif");

        cOButton13.setActionName("afficherPaysNaissance");
        cOButton13.setBorderPainted(false);
        cOButton13.setIconName("loupe16.gif");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 99, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel14, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 99, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 99, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                                .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 270, Short.MAX_VALUE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                                .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 269, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel2Layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel2Layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField15, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 270, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel14))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(cOTextField10, 0, 0, Short.MAX_VALUE)
                    .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, Short.MAX_VALUE)
                    .add(cOButton19, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(cOButton18, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel11))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel12)
                        .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOButton17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        listeAffichage.setColumns(new Object[][] {{null,"libelle",new Integer(2),"Diplômes",new Integer(0),new Integer(225),new Integer(1000),new Integer(42)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);

        cOCheckbox1.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOCheckbox1.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);
        cOCheckbox1.setText("Handicapé");
        cOCheckbox1.setValueName("estHandicape");

        cOTextField12.setEnabledMethod("nonEditable");
        cOTextField12.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField12.setSupportsBackgroundColor(true);
        cOTextField12.setValueName("typeHandicap.thanLibelle");

        jLabel9.setFont(new java.awt.Font("Helvetica", 0, 10));
        jLabel9.setText("Date 1ère affectation");

        cOTextField17.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField17.setValueName("datePremiereAffectation");

        cOButton15.setActionName("afficherTypeHandicap");
        cOButton15.setBorderPainted(false);
        cOButton15.setEnabledMethod("peutAfficherTypeHandicap");
        cOButton15.setIconName("loupe16.gif");

        cOButton14.setActionName("supprimerTypeHandicap");
        cOButton14.setBorderPainted(false);
        cOButton14.setEnabledMethod("peutSupprimerTypeHandicap");
        cOButton14.setIconName("supprimer16.gif");

        cOButton20.setActionName("deselectionner");
        cOButton20.setEnabledMethod("peutDeselectionner");
        cOButton20.setText("Déselectionner");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1Layout.createSequentialGroup()
                                .add(jLabel2)
                                .add(18, 18, 18)
                                .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1Layout.createSequentialGroup()
                                .add(jLabel13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOComboBox2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jLabel3)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 86, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel5)
                                .add(4, 4, 4)
                                .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 88, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel7)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOComboBox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 79, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 59, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel4)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel10)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(2, 2, 2)
                                .add(cOTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 145, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(2, 2, 2)
                                .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 245, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(6, 6, 6)
                        .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel9)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOTextField17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 94, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOButton20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(15, 15, 15)))
                .addContainerGap(20, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7)
                    .add(cOComboBox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1)
                    .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(cOButton10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(cOButton11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(cOComboBox2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(cOTextField5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 22, Short.MAX_VALUE)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel13)
                            .add(jLabel4)
                            .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel10))
                    .add(cOTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(listeAffichage, 0, 0, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel9)
                        .add(cOTextField17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(501, 501, 501)
                        .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 0, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton12;
    public org.cocktail.component.COButton cOButton13;
    public org.cocktail.component.COButton cOButton14;
    public org.cocktail.component.COButton cOButton15;
    public org.cocktail.component.COButton cOButton16;
    public org.cocktail.component.COButton cOButton17;
    public org.cocktail.component.COButton cOButton18;
    public org.cocktail.component.COButton cOButton19;
    public org.cocktail.component.COButton cOButton20;
    public org.cocktail.component.COButton cOButton8;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COCheckbox cOCheckbox1;
    public org.cocktail.component.COComboBox cOComboBox1;
    public org.cocktail.component.COComboBox cOComboBox2;
    public org.cocktail.component.COComboBox cOComboBox3;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField10;
    public org.cocktail.component.COTextField cOTextField11;
    public org.cocktail.component.COTextField cOTextField12;
    public org.cocktail.component.COTextField cOTextField13;
    public org.cocktail.component.COTextField cOTextField14;
    public org.cocktail.component.COTextField cOTextField15;
    public org.cocktail.component.COTextField cOTextField16;
    public org.cocktail.component.COTextField cOTextField17;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField3;
    public org.cocktail.component.COTextField cOTextField4;
    public org.cocktail.component.COTextField cOTextField5;
    public org.cocktail.component.COTextField cOTextField6;
    public org.cocktail.component.COTextField cOTextField7;
    public org.cocktail.component.COTextField cOTextField8;
    public org.cocktail.component.COTextField cOTextField9;
    public org.cocktail.component.CODisplayGroup displayGroup;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    public org.cocktail.component.COTable listeAffichage;
    // End of variables declaration//GEN-END:variables
                  

}
